Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
push-notification
/
providers
/
apns
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Guardian.Factors;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Guardian.Factors.PushNotification.UpdateApnsProviderAsync(
            new UpdateGuardianFactorsProviderPushNotificationApnsRequestContent()
        );
    }

}
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &management.SetGuardianFactorsProviderPushNotificationApnsRequestContent{}
    client.Guardian.Factors.PushNotification.SetApnsProvider(
        context.TODO(),
        request,
    )
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.guardian.factors.pushnotification.requests.UpdateGuardianFactorsProviderPushNotificationApnsRequestContent;

public class Example {
    public static void main(String[] args) {
        ManagementApi client = ManagementApi
            .builder()
            .token("<token>")
            .build();

        client.guardian().factors().pushNotification().updateApnsProvider(
            UpdateGuardianFactorsProviderPushNotificationApnsRequestContent
                .builder()
                .build()
        );
    }
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Guardian\Factors\PushNotification\Requests\UpdateGuardianFactorsProviderPushNotificationApnsRequestContent;

$client = new Management(
    token: '<token>',
);
$client->guardian->factors->pushNotification->updateApnsProvider(
    new UpdateGuardianFactorsProviderPushNotificationApnsRequestContent([]),
);
from auth0.management import ManagementClient

client = ManagementClient(
    token="<token>",
)

client.guardian.factors.push_notification.update_apns_provider()
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.guardian.factors.push_notification.update_apns_provider
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.guardian.factors.pushNotification.setApnsProvider({});
}
main();
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.guardian.factors.pushNotification.setApnsProvider({});
}
main();
curl --request PATCH \
  --url https://{tenantDomain}/api/v2/guardian/factors/push-notification/providers/apns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sandbox": true,
  "bundle_id": "<string>",
  "p12": "<string>"
}
'
{
  "sandbox": true,
  "bundle_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

sandbox
boolean
bundle_id
string | null
Required string length: 1 - 1000
p12
string | null
Required string length: 1 - 10000

Response

APNS configuration successfully updated.

sandbox
boolean
bundle_id
string | null
Required string length: 1 - 1000